VE does not support typing in Kannada
Closed, ResolvedPublic

Description

Author: pavanaja

Description:
VE's behaviour is not as expected when I invoke my own IME for entering Kannada text. If I press Enter after typing some text, it creates a blank line above the current line rather than below the line. Some conjuncts also get dissociated and show sthe constituent Unicode character instead of the conjuncts. I am using Windows 8 and Firefox (ver 21). I tried using the built-in IME as well as Baraa IME. in both cases I could not use the VE for typing in Kannada.


Version: unspecified
Severity: critical

bzimport set Reference to bz50346.
bzimport created this task.Via LegacyJun 28 2013, 7:06 AM
bzimport added a comment.Via ConduitJun 28 2013, 10:02 AM

pavanaja wrote:

VE screenshot just before pressing Enter key

Attached:

bzimport added a comment.Via ConduitJun 28 2013, 10:03 AM

pavanaja wrote:

VE screenshot just after pressing Enter key

Attached:

Aklapper added a comment.Via ConduitJun 28 2013, 10:15 AM

Thanks for taking the time to report this and testing VE!
What are the exact steps to reproduce this?

I tried:

  1. Make sure to be logged in on http://kn.wikipedia.org/
  2. Make sure that on http://kn.wikipedia.org/wiki/%E0%B2%B5%E0%B2%BF%E0%B2%B6%E0%B3%87%E0%B2%B7:Preferences?uselang=en#mw-prefsection-editing > "Beta features > Enable VisualEditor (only in the main and user namespaces)" is enabled.
  3. Go to a random article like http://kn.wikipedia.org/wiki/ಔಷಧೀಯ_ರಸಾಯನಶಾಸ್ತ್ರ?veaction=edit
  4. I can confirm that keyboard cursor in on top of text, but I can type (Firefox 18).
  1. Click the cog next to "ಇತರ ಭಾಷೆಗಳು" (In other languages) and choose "Input settings".
  2. "Input methods for ಕನ್ನಡ" says "Use native keyboard".

So here I have several options.

Could you confirm/correct the above steps, and explain which "built-in IME" you exactly tried?

bzimport added a comment.Via ConduitJun 28 2013, 11:07 AM

pavanaja wrote:

I treid the built-in IME of Windows 8 as well as a thrid party IME called Baraha.

bzimport added a comment.Via ConduitJul 9 2013, 6:56 AM

pavanaja wrote:

I am not sure if the VE has been improved. But now I am able to type in Kannada if I use the Windows built-in IME as well as the Indic IME2 developed by Microsoft-India. But the Baraha IME is still giving problems. I am waiting for the ULS to be enabled in VE.

bzimport added a comment.Via ConduitJul 9 2013, 7:55 AM

pavanaja wrote:

(In reply to comment #5)

I am not sure if the VE has been improved. But now I am able to type in
Kannada
if I use the Windows built-in IME as well as the Indic IME2 developed by
Microsoft-India. But the Baraha IME is still giving problems. I am waiting
for
the ULS to be enabled in VE.

This was somewhat prematured comment. When I thoroughly tested I found some bugs in built-in IME as well as Indian IME2 also. It does render properly initially, but when I press space bar, the display gets spoiled. I will add the screeenshots.

bzimport added a comment.Via ConduitJul 9 2013, 8:06 AM

pavanaja wrote:

VE Kannada screen shot before pressing spacebar

Attached:

bzimport added a comment.Via ConduitJul 9 2013, 8:07 AM

pavanaja wrote:

VE Kannada screen shot after pressing spacebar

Attached:

dchan added a comment.Via ConduitAug 19 2013, 6:29 PM

Hi, thanks for your help.

I think the issue may be resolved by the following patch: https://gerrit.wikimedia.org/r/#/c/79451 . Or at least, the problems may be different now. I'm not sure it's working correctly with the "Kannada inscript (m17n)" ibus input method on Ubuntu+firefox, but it would be good for a Kannada reader to verify this!

gerritbot added a comment.Via ConduitAug 20 2013, 7:41 PM

Change 80080 had a related patch set uploaded by Jforrester:
WIP:Don't emit Surface changes back to the Surface

https://gerrit.wikimedia.org/r/80080

gerritbot added a comment.Via ConduitAug 22 2013, 9:48 AM

Change 80080 merged by jenkins-bot:
Don't emit Surface changes back to the Surface

https://gerrit.wikimedia.org/r/80080

Jdforrester-WMF added a comment.Via ConduitAug 22 2013, 8:12 PM

Given that this is now merged, I'm going to mark this as fixed. However, this is provisional - please re-open if you think that this has not worked!

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.